<?php
namespace Util;

class Messages
{

    /* + ------------------------------ +
     * | Error messages
     * + ------------------------------ + */
    const ERR_APPROPRIATION_NOT_SAVED                               = 'Erro ao salvar apropriação.';
    const NO_PERMISSION_REMOVE_LTS_VERSIONS                         = 'Não é possível remover o LTS das versões abaixo porque estão relacionadas com Sub-releases não homologadas';
    const ERR_NOT_SUCCESSFUL_SAVED_EXPLANATION                      = 'Não foi possível salvar os dados, pois ';
    const ERR_NOT_SUCCESSFUL_SAVED                                  = 'Não foi possível salvar os dados.';
    const ERR_NOT_SUCCESSFUL_DELETED_EXPLANATION                    = 'Não foi possível excluir o(s) registro(s), pois ';
    const ERR_NOT_SUCCESSFUL_DELETED                                = 'Não foi possível excluir o(s) registro(s).';
    const ERR_NOT_SUCCESSFUL_PROJECT_DELETED                        = 'Não foi possível excluir o(s) projeto(s), pois existem apropriações ligadas a ele.';
    const ERR_NOT_SUCCESSFUL_STRUCTURE_DELETED                      = 'Não foi possível excluir essa estrutura porque ela tem recursos associados.';
    const ERR_SPONSOR_NOT_SAVED                                     = 'Cliente não registrado.';
    const ERR_MASTER_FILES_NOT_FOUND                                = 'Não foi possível encontrar os arquivos desejados';
    const ERR_NOT_SUCCESSFUL_FOUND_EXPLANATION                      = 'Não foi possível encontrar os dados, pois ';
    const ERR_NOT_DELETE_RESOURCE_PROJECT_PART                      = ' não pôde ser retirado do seu projeto por ser gerente ou cliente do mesmo';
    const ERR_NOT_STATUS_TASK_BY_CONTROL                            = 'Erro: status da tarefa não encontrado';
    const ERR_NOT_ISSUE_REPORTER                                    = 'Não foi possivel apagar a issue, porque essa issue não foi criada pelo usuário logado.';
    const ERR_NOT_SAVE_TASK_INCOERENT_VALUES                        = 'Não foi possível salvar a(s) tarefa(s). Existem dados que não condizem com o necessário. Caso o erro persista, procure o setor responsável pelo sistema.';
    const ERR_NOT_TASK_TYPE                                         = 'Não foi possível encontrar o status a ser salvo.';
    const ERR_RESOURCES_NOT_ADDED_EXPLANATION                       = 'Não foi possível adicionar os recursos no projeto de destino, pois ';
    const ERR_NOT_SAVE_TASK_TYPE_DUPLICATE_ORDER_TO_FRAME           = 'Não foi possível salvar status, pois ordem de enquadramento já utilizada.';
    const ERR_RESOURCE_NOT_ALLOCATED_IN_TASK                        = 'O recurso não está alocado nesta tarefa.';
    const ERR_NOT_PROFILE_IDENTITY                                  = 'O usuário não possui um EXTERNAL_ID. Provavelmente ele não possui um perfil no Identity.';
    const ERR_NOT_POSSIBLE_TO_GET_EVOLUTION_DATE                    = 'Não foi possível obter a data de evolução.';
    const NOT_POSSIBLE_TO_SAVE_STATUS_ORDER_TO_FRAME_ALREADY_USED   = 'Não foi possível salvar status, pois ordem de enquadramento já utilizada.';
    const NOT_POSSIBLE_TO_SAVE_TYPE_ORDER_TO_FRAME_ALREADY_USED     = 'Não é possível associar a ordem de enquadramento porque está sendo utilizada em mais de um status. O status "%1" já possui o mesmo.';
    const NOT_POSSIBLE_TO_SAVE_TYPE_ORDER_TO_VIEW_ALREADY_USED      = 'Não é possível associar a ordem de visualização porque está sendo utilizada em mais de um status. O status "%1" já possui o mesmo.';
    const NOT_POSSIBLE_TO_SAVE_TYPE_CONTROL_ALREADY_USED            = 'Não é possível associar o controle utilizado em mais de um status. O status "%1" já possui o mesmo.';
    const ERR_CANT_GET_ISSUE_LOGS_EXPLANATION                       = 'Não foi possível obter os logs, pois ';
    const ERR_NOT_POSSIBLE_TO_SAVE_COMMENT                          = 'Não foi possível salvar o comentário.';
    const ERR_RESOURCE_NOT_IN_IDENTITY                              = 'Não foi possivel salvar as alterações, pois o recurso não esta ligado ao identity.';
    const ERR_VALIDATION_PROJECT_TYPE                               = 'Só pode haver um tipo de projeto de "Reunião" ou "Ocorrência de reunião".';
    const ERR_EXCLUDE_RESOURCE_STRUCTURE_MANAGER                    = 'Não foi possível excluir este recurso, pois ele é gerente de uma estrutura.';
    const ERR_NOT_TYPE_PROJECT_MEETING                              = 'Type of project meeting not found';
    const ERR_NOT_TYPE_PROJECT_MEETING_OCCURRENCES                  = 'Type of project MeetingOccurrences not found';
    const ERR_IS_NOT_SCHEDULE                                       = 'Is not Schedule!';
    const ERR_NOT_POSSIBLE_TO_DELETE_ISSUE_STATUS_ALREADY_USED      = 'Não foi possível excluir o status selecionado. Ele está sendo usado nos seguintes status de tarefas: ';
    const ERR_NOT_POSSIBLE_TO_DELETE_ISSUE_PRIORITY_ALREADY_USED    = 'Não foi possível excluir a prioridade selecionada. Ela está sendo usado em: ';
    const ERR_NOT_POSSIBLE_TO_DELETE_CALENDAR_ALREADY_USED          = 'Não foi possível excluir o calendário, ele está sendo usado em outro lugar';
    const ERR_NOT_POSSIBLE_TO_DELETE_RESOURCE_MANAGER_FROM_PROJECT  = 'Não é possível excluir recurso que seja gerente ou cliente do projeto';
    const ERR_CLASSIFICATION_IN_HOMOLOGATION                        = 'Não é possível criar novas tarefaste em projetos na situação "%1"';
    const ERR_CLASS_IN_HOMOLOGATION_ISSUE                           = 'Em projetos "Em homologação" não é possível criar novas tarefas!';
    const ERR_REMOVE_PROJECT_TYPE_USER_IN_PROJECT                   = 'Esse tipo não pode ser apagado porque está sendo utilizado!';
    const ERR_REMOVE_PROJECT_MODEL_WITH_TASK                        = 'Esse modelo de projeto não pode ser apagado porque exitem projeto(s) associado(s) à ele que possuem tarefa(s)!';
    const ERR_REMOVE_REPOSITORY_TASK_IN_DEVELOPING                  = 'Existem uma ou mais tarefas em andamento que utilizam esse repositório.';
    const ERR_REMOVE_REPOSITORY_TASK_CHANGED_FILES                  = "Existem uma ou mais tarefas com arquivos modificados que utilizam esse repositório.";
    const ERR_CHANGE_FILE_IN_MOVE_TASK                              = ' não pode ser movida porque possui arquivos modificados e está sendo movida para um projeto de tipo diferente do atual!';
    const ERR_RELATED_IN_MOVE_TASK                                  = '" é uma tarefa  relacionada e não pode ser movida para um projeto de tipo diferente!';
    const ERR_RELATED_IN_SET_ALLOCATION                             = '" é um tarefa relacionada e a opção "Adicionar recursos" não está disponível para a mesma!';
    const ERR_CONCLUDED_MODEL_RESTRICTED                            = 'Para concluir este projeto é necessário concluir os projetos criados apartir dele, que são: <BR><BR>';
    const ERR_MEETING_DELETE                                        = 'Essa reunião possui pautas e por isso não pode ser apagada!<BR>';
    const ERR_TASK_FEATURE_ALREADY_USED                             = 'Esse tipo de tarefa ja está sendo usado em uma ou mais tarefas!';
    const ERR_NOT_DELETE_TASK_WITH_APPROPRIATIONS                   = 'A tarefa não pode ser excluída porque existem apropriações de tempo relacionadas. Caso necessário, você pode inativá-la.';
    const ERR_NOT_CLIENT_REGISTER                                   = 'Cliente não relacionado ao sistema de gestão de projetos. Porfavor entrar em contado com o administrador do sistema.';
    const NOT_POSSIBLE_LOAD_RECORDS                                 = 'Sua consulta retornou mais de 1000 registros. Use a aba \'Lista\' para visualizar sua consulta.';
    const NOT_POSSIBLE_LOAD_ISSUES                                  = 'Sua consulta retornou mais de 1000 registros. Utilize o filtro para reduzir o numero de dados.';
    const NOT_POSSIBLE_DELETE_COMMENT_TYPE                          = 'Não é possível deletar o tipo de comentário, pois ele já está sendo usado.';
    const ERR_WRONG_REQUESTER_ACCEPT                                = 'Essa issue só pode ser finalizada pelo solicitante!';
    const ERR_NOT_MODEL_CHILDREN                                    = 'Este modelo não possui projetos para serem copiados';
    const ERR_NOT_SPRINT_PROJECT                                    = 'As tarefas selecionadas não pertencem a um projeto de sprint';
    const ERR_WRONG_REQUESTER_REFUSE                                = 'Essa issue só pode ser recusada pelo solicitante!';
    const ERR_GENERATION_PDF                                        = "Falha ao gerar o arquivo PDF.<br/>Erro: ";
    const ERR_GENERATION_LOAD_URL                                   = "Falha ao gerar o documento. Não foi possível carregar a URL \"";
    const ERR_INTEGRATION_SM                                        = "Erro na integração SM: ";
    const ERR_INTEGRATION_SM_ITEMS                                  = "A issue dessa tarefa de especificação está configurada para ter integrações com proposta no SM. Sendo assim, os itens abaixo devem ser corrigidos para finalizar essa tarefa:<BR/>";
    const ERR_GENERATION_DIR_PERMISSION_1                           = "Falha ao gerar o documento. O diretório \"";
    const ERR_GENERATION_DIR_PERMISSION_2                           = "\" não existe ou não possui permissão de escrita.";
    const ERR_BUDGET_REPORTER                                       = "Quem reportou a issue não possui código de integração!";
    const ERR_BUDGET_NOT_CREATED                                    = "Essa issue não possui orçamento cadastrado";
    const ERR_BUDGET_INTEGRATION_2                                  = '" não possui código de integração!';
    const ERR_BUDGET_INTEGRATION_PRODUCT                            = 'O Produto "';
    const ERR_BUDGET_INTEGRATION_SPONSOR                            = 'O Cliente "';
    const ERR_BUDGET_INTEGRATION_SPONSOR_2                          = 'A issue não possui um cliente!';
    const ERR_BUDGET_INTEGRATION_SM                                 = 'Erro interno do SM';
    const ERR_BUDGET_INTEGRATION_DEVOPS                             = 'O produto da issue não possui ligação com o devOps!';
    const ERR_SAME_DIRECTORY_IN_DIFERENT_REPOSITORIES               = 'Existem repositórios diferentes com o mesmo diretório! Por favor, verifique os itens da lista abaixo:<br/>';
    const ERR_MOVE_TASK_DIFFERENT_VERSION                           = 'As seguintes tarefas possuem versão de desenvolvimento diferente do projeto de destino:<br/><br/>';
    const ERR_EDIT_PROJECT_STATUS_CONCLUDED                         = 'Não foi possível concluir o projeto. <br/> Projetos de tipos relacionados com o DevOps só podem ser concluídos a parti dele.';
    const ERR_RESOURCE_WITHOUT_STRUCTURE_I                          = 'Os seguintes recursos não possuem estruturas cadastradas : <br>';
    const ERR_RESOURCE_WITHOUT_STRUCTURE_II                         = 'Favor entrar em contato com o setor de qualidade para mais informações';
    const ERR_SAME_STATS_BY_STATS_CONTROL                           = 'O Status Atual e o Status de Destino não podem ser iguais';
    const ERR_ALREADY_HAS_FRAMING                                   = 'O tipo de tarefa selecionado já possui enquadramento para o Status atual selecionado';
    const ERR_SM_PRODUCT_NOT_FOUND                                   = 'O produto parametrizado no orçamento não é comercializável pelo SM.<br/> Verifique essa configuração em Gerenciamento de Issue -> Orçamento e informe o produto correto.';


    const PREFIX_ERR_VALIDATE_TASK_TO_BE_STARTED = 'A tarefa não pode ser iniciada pelos seguinte(s) motivo(s):<br/>';

    public static function getMessageValidateTaskToBeStarted(){
        return [
            'TASK_PARENT'               => '<br/><li>É uma tarefa Pai. Remova todas as tarefas filhas ligadas a ela e desmarque a opção "Tarefa pai" na aba "Tarefas" da tela de "Projetos" para iniciá-la. </li>',
            'MERGE_REQUEST'             => '<br/><li>Essa tarefa de merge está relacionada à uma tarefa que não foi concluída. </li>',
            'SPECIFICATION_PENDENCES'   => '<br/><li>Possui issue que está em um enquadramento que não permite iniciá-la </li>',
            'PROJECT_IN_HOMOLOGATION'   => '<br/><li>Ela pertence a um projeto em homologação. Essa opção é permitida apenas para tarefas geradas. </li>',
            'TIME_PLANNED'              => '<br/><li>Não possui pontos estimados. Para iniciá-la, adicione pontos estimados na aba "Tarefas" da tela de "Projetos". </li>',
        ];
    }

    /* + ------------------------------ +
     * | Successful messages
     * + ------------------------------ + */
    const SUC_SUCCESSFUL_CREATED                    = 'Registro criado com sucesso.';
    const SUC_SUCCESSFUL_UPDATED                    = 'Registro atualizado com sucesso.';
    const SUC_SUCCESSFUL_SAVED                      = 'Registro salvo com sucesso.';
    const SUC_SUCCESSFUL_REMOVED                    = 'Registro(s) removido(s) com sucesso.';
    const SUC_SUCCESSFUL_REMOVED_FOLLOWER           = 'Seguidor removido com sucesso.';
    const SUC_SUCCESSFUL_SAVED_STRUCTURE_TYPE       = 'Tipo de estrutura salva com sucesso';
    const SUC_SUCCESSFUL_CREATED_TASKS_BY_ISSUES    = 'Tarefas criadas com sucesso';
    const SUC_SUCCESSFUL_DELETED_STRUCTURE_TYPE     = 'Tipo de estrutura apagada com sucesso';
    const SUC_ISSUE_SUCCESSFUL_DELETED              = 'Issue excluída com sucesso.';
    const SUC_SUCCESSFUL_DELETED_ISSUE              = 'Rótulos de issue removido';
    const SUC_SUCCESSFUL_DELETED_ISSUE_RELATIONSHIP = 'Relacionamento com tarefa excluído com sucesso';
    const SUC_SUCCESSFUL_DEL_ISSUE_WITH_ISSUE_TYPE  = 'Relacionamento com issue excluído com sucesso';
    const SUC_SAVED_PRODUCT_BUDGET                  = 'Produto do orçamento alterado com sucesso';
    const SUC_REMOVED_STRUCTURES                    = 'Estrutura(s) deletada(s).';
    const SUC_SPECIFICATION_ACCEPT                  = 'Especificação aprovada!';
    const SUC_SPECIFICATION_REFUSE                  = 'Especificação recusada!';

    /* + ------------------------------ +
     * | Alert messages
     * + ------------------------------ + */
    const ALE_CALENDAR_IS_NOT_OWN = "Utilizando calendário ";

    /* + ------------------------------ +
     * | Mail messages
     * + ------------------------------ + */
    const MAIL_NEW_ISSUE_COMMENT            = " possui um novo comentário";
    const MAIL_AVAILABLE_ISSUE_SUBJECT      = " está pronta para a homologação";
    const MAIL_READY_ISSUE_SUBJECT          = " está liberada para utilização";
    const MAIL_UPDATED_ISSUE_SUBJECT          = "  já liberada para utilização";
    const MAIL_AVAILABLE_ISSUE_MESSAGE      = "Essa issue foi liberada.";
    const MAIL_REOPEN_ISSUE_MESSAGE         = " foi recusada";
    const MAIL_OPEN_ISSUE_MESSAGE           = "Nova issue aberta";
    const MAIL_ISSUE_DATA                   = "Dados da Issue";
    const MAIL_REFERENCE                    = "Referência";
    const MAIL_REPORTER                     = "Solicitante";
    const MAIL_DESCRIPTION                  = "Descrição";
    const MAIL_RESPONSE                     = "Resposta";
    const MAIL_TASKS                        = "Tarefas";
    const MAIL_WAS_OPENED                   = "foi aberta";
    const MAIL_WAS_RELEASED                 = "Foi liberada";
    const MAIL_OPENED_ISSUE                 = " abriu a Issue <b>%issueId%</b> ";
    const MAIL_ACTION_INCLUDED_NEW_COMMENT  = " incluiu um novo comentário na Issue <b>%issueId%</b> ";
    const MAIL_VERSION                      = "Para a solução da issue %issueId%, foram liberadas as versões:";
    const MAIL_VERSION_FIX                  = "Para a solução da issue %issueId%, foram liberadas implementações na versão abaixo (e posteriores):";
    const MAIL_ACTION_REFUSED_ISSUE         = " recusou a Issue <b>%issueId%</b> ";
    const MAIL_ACTION_RELEASED_ISSUE        = " liberou a Issue <b>%issueId%</b> ";
    const MAIL_ACTION_HOMOLOGATED_ISSUE     = " homologou a Issue <b>%issueId%</b> ";
    const MAIL_ACTION_UPDATED_ISSUE         = " atualizou a Issue <b>%issueId%</b> ";
    const MAIL_SUBJECT_DESCRIPTION          = "Issue %issueId% %subjectAction% (%issueName%)";
    const MAIL_ACTION_DESCRIPTION           = "<b>%resourceName%</b> %action% do produto <b>%productName%</b> <b>%isAvailable%</b> em <b>%date%</b>";
    const MAIL_ACTION_DESCRIPTION_DEVOPS    = "<b>%resourceName%</b> %action% do produto <b>%productName%</b> e disponibilizou o pacote para futura atualização em ambiente de produção <b>(%date%)</b>";
    const MAIL_ACTION_DESCRIPTION_UPDATED    = "Em (%date%) <b>%resourceName%</b> %action% do produto <b>%productName%</b>, <b>mas essa issue ainda não está em produção</b>. O pacote está disponível para atualização em ambiente de produção.";
    const MAIL_ACTION_DESCRIPTION_DEPLOY    = "<b>%resourceName%</b> %action% do produto <b>%productName% (versão %version%)</b> no servidor <b>%server%</b> em <b>%date%</b>";
    const MAIL_FOOTER_MESSAGE               = "Email disparado automaticamente, favor não responder. Em caso de dúvidas, entre em contato com o Suporte da Teknisa.";
    const MAIL_IRREGULAR_OPERATION          = "Operação irregular";

    /* + ------------------------------ +
    * | DevOps messages
    * + ------------------------------ + */
    const DEO_CREATE_DESCRIPTION_DEFAULT        = "Criado a partir do PM (Zeedhi Project Management)";
    const DEO_CREATE_RELEASE_NAME_PREFIX        = "ERRORS/FIXES - ";
    const DEO_ERROR_RELEASE_WITHOUT_PRODUCT     = 'Não tem produto para essa release';
}